For the complete documentation index, see llms.txt. This page is also available as Markdown.

Calls

Requests for information about patient calls. For an API client to have access to calls, it needs to have Voice Calls None Care Team policy

Get all voice calls

get

Request for information about all patient calls

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Query parameters
pageintegerOptional

Page number, count starts from 0

Default: 0Example: 1
sizeintegerOptional

Number of elements on one page

Default: 20Example: 20
sortstringOptional

Sort by date, available values: asc, des

Example: date,desc
Responses
200

Paginated list of voice calls

application/json

Standard paginated response wrapper.

totalElementsintegerOptional

Total number of matching records

totalPagesintegerOptional

Total number of pages

lastbooleanOptional
firstbooleanOptional
numberintegerOptional

Current page number (zero-based)

sizeintegerOptional

Page size

numberOfElementsintegerOptional

Number of elements on the current page

emptybooleanOptional
get/{tenantName}/{instanceName}/patients/{patientId}/voice-calls
GET /{tenantName}/{instanceName}/patients/{patientId}/voice-calls HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "content": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "updatedByName": "text",
      "sendNow": true,
      "sentAt": "2026-01-01T00:00:00.000Z",
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "date": "2026-01-01T00:00:00.000Z",
      "careTeam": "text",
      "patientInfo": "text",
      "sender": "123e4567-e89b-12d3-a456-426614174000",
      "senderType": "CS_TOOL_CLIENT",
      "senderName": "text",
      "from": "text",
      "receiver": "123e4567-e89b-12d3-a456-426614174000",
      "receiverType": "CS_TOOL_CLIENT",
      "receiverName": "text",
      "to": "text",
      "direction": "OUT",
      "externalId": "text",
      "starred": true,
      "errorMessage": "text",
      "assignedBy": "123e4567-e89b-12d3-a456-426614174000",
      "assignedByName": "text",
      "hasHistory": true,
      "unrecognized": true,
      "childCallSid": "text",
      "parentCallStatus": "QUEUED",
      "childCallStatus": "QUEUED",
      "userPhone": "text",
      "parentCallDuration": 1,
      "childCallDuration": 1,
      "recorded": true,
      "recordingDuration": 1,
      "recordingSid": "text",
      "recordingUrl": "text",
      "recordingFile": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "originalName": "text",
        "size": 1,
        "contentType": "text",
        "storageKey": "text"
      },
      "phoneId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "pageSize": 1,
    "pageNumber": 1,
    "offset": 1,
    "unpaged": true,
    "paged": true
  },
  "totalElements": 1,
  "totalPages": 1,
  "last": true,
  "first": true,
  "number": 1,
  "size": 1,
  "numberOfElements": 1,
  "empty": true,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  }
}

Get voice call by id

get

Request for information about one specific call

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

voiceCallIdstring · uuidRequired

voiceCallId path parameter

Responses
200

Voice call record

application/json
idstring · uuidRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
sendNowbooleanOptional
sentAtstring · date-time · nullableOptional
receivedAtstring · date-time · nullableOptional
deletedAtstring · date-time · nullableOptional
datestring · date-time · nullableOptional
careTeamstring · nullableOptional
patientInfostring · nullableOptional
senderstring · uuidRequired
senderTypestring · enumOptionalPossible values:
senderNamestring · nullableOptional
fromstring · nullableOptional
receiverstring · uuid · nullableOptional
receiverTypestring · enumOptionalPossible values:
receiverNamestring · nullableOptional
tostring · nullableOptional
directionstring · enumOptionalPossible values:
externalIdstring · nullableOptional
starredbooleanOptional
errorMessagestring · nullableOptional
assignedBystring · uuid · nullableRead-onlyOptional
assignedByNamestring · nullableRead-onlyOptional
hasHistorybooleanRead-onlyOptional
unrecognizedbooleanRead-onlyOptional
childCallSidstring · nullableOptional
parentCallStatusstring · enumOptionalPossible values:
childCallStatusstring · enumOptionalPossible values:
userPhonestring · nullableOptional
parentCallDurationinteger · nullableOptional
childCallDurationinteger · nullableOptional
recordedbooleanOptional
recordingDurationinteger · nullableOptional
recordingSidstring · nullableOptional
recordingUrlstring · nullableOptional
phoneIdstring · uuid · nullableOptional
get/{tenantName}/{instanceName}/patients/{patientId}/voice-calls/{voiceCallId}
GET /{tenantName}/{instanceName}/patients/{patientId}/voice-calls/{voiceCallId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "sendNow": true,
  "sentAt": "2026-01-01T00:00:00.000Z",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "deletedAt": "2026-01-01T00:00:00.000Z",
  "date": "2026-01-01T00:00:00.000Z",
  "careTeam": "text",
  "patientInfo": "text",
  "sender": "123e4567-e89b-12d3-a456-426614174000",
  "senderType": "CS_TOOL_CLIENT",
  "senderName": "text",
  "from": "text",
  "receiver": "123e4567-e89b-12d3-a456-426614174000",
  "receiverType": "CS_TOOL_CLIENT",
  "receiverName": "text",
  "to": "text",
  "direction": "OUT",
  "externalId": "text",
  "starred": true,
  "errorMessage": "text",
  "assignedBy": "123e4567-e89b-12d3-a456-426614174000",
  "assignedByName": "text",
  "hasHistory": true,
  "unrecognized": true,
  "childCallSid": "text",
  "parentCallStatus": "QUEUED",
  "childCallStatus": "QUEUED",
  "userPhone": "text",
  "parentCallDuration": 1,
  "childCallDuration": 1,
  "recorded": true,
  "recordingDuration": 1,
  "recordingSid": "text",
  "recordingUrl": "text",
  "recordingFile": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "originalName": "text",
    "size": 1,
    "contentType": "text",
    "storageKey": "text"
  },
  "phoneId": "123e4567-e89b-12d3-a456-426614174000"
}

Download recording file

get

Request to get a call recording file.

voiceCallId - recording ID

fileId - file id to be taken from the recordingFile block

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

voiceCallIdstring · uuidRequired

voiceCallId path parameter

fileIdstring · uuidRequired

UUID of the uploaded file

Responses
200

Binary recording audio file.

No content

get/{tenantName}/{instanceName}/patients/{patientId}/voice-calls/{voiceCallId}/recordings/{fileId}
GET /{tenantName}/{instanceName}/patients/{patientId}/voice-calls/{voiceCallId}/recordings/{fileId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?